## org.junit.runners
Annotation Type Parameterized.UseParametersRunnerFactory

    @Retention(value=RUNTIME)
    @Inherited
    @Target(value=TYPE)
    public static @interface Parameterized.UseParametersRunnerFactory

Add this annotation to your test class if you want to generate a special runner. You have to specify a `ParametersRunnerFactory` class that creates such runners. The factory must have a public zero-arg constructor.

Optional Element Summary
`Class<? extends ParametersRunnerFactory>` `value`

### value

    public abstract Class<? extends ParametersRunnerFactory> value

  Returns:
    a `ParametersRunnerFactory` class (must have a default constructor)
  Default:
    org.junit.runners.parameterized.BlockJUnit4ClassRunnerWithParametersFactory.class

Copyright © 2002–2020 JUnit. All rights reserved.